Bug 79917 - [NEW PORT] java/eclipse-devel: An open extensible IDE for anything and nothing in particular
[NEW PORT] java/eclipse-devel: An open extensible IDE for anything and nothin...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: nork
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-14 18:00 UTC by freebsd-ports
Modified: 2005-05-07 10:01 UTC (History)
0 users

See Also:


Attachments
eclipse-3.1M6.shar (60.36 KB, text/plain)
2005-04-14 18:00 UTC, freebsd-ports
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd-ports 2005-04-14 18:00:37 UTC
Add a -devel version of Eclipse 3.1M6.  This port is based on the
existing java/eclipse port, but has been changed significantly to
catch up to the changes made in Eclipse 3.1.  Support for both i386
and amd64 is included.

There are a few known problems with this port:
- Motif builds do not work
- The SWT Browser widget does not work reliably

Despite these problems, I want to get my changes out there to the
general public.  A number of people have reported success with this
port on the freebsd-java list, so I'd like to make this available to
more people.

Generated with FreeBSD Port Tools 0.63
Comment 1 alex 2005-04-23 06:04:43 UTC
I have made some small changes to the port on my development system 
since I first submitted it.  Here is the latest patch:

--- eclipse-3.1M6.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	eclipse-devel
#	eclipse-devel/files
#	eclipse-devel/files/eclipse.in
#	eclipse-devel/files/patch-build
#	eclipse-devel/files/patch-features-jdt-source-build.xml
#	eclipse-devel/files/patch-features-pde-build.xml
#	eclipse-devel/files/patch-features-pde-source-build.xml
#	eclipse-devel/files/patch-features-platform-build.xml
#	eclipse-devel/files/patch-features-sdk-build.xml
#	eclipse-devel/files/patch-plugins-update-src-update.c
#	eclipse-devel/files/patch-features-platform-source-build.xml
#	eclipse-devel/files/patch-features-launchers-library-eclipseShm.c
#	eclipse-devel/files/patch-features-jdt-build.xml
#	eclipse-devel/files/manualpatch-plugins-swt-gtk-build.sh
#	eclipse-devel/files/patch-plugins-update-src-build.xml
#	eclipse-devel/files/patch-features-platform-source-feature.xml
#	eclipse-devel/files/manualpatch-plugins-swt-gtk-os_custom.h
#	eclipse-devel/files/patch-build.xml
#	eclipse-devel/files/patch-plugins-swt-gtk-build.xml
#	eclipse-devel/files/patch-plugins-swt-gtk64-build.xml
#	eclipse-devel/files/patch-assemble
#	eclipse-devel/files/patch-features-launchers-gtk-make_freebsd.mak
#	eclipse-devel/files/patch-browser-src-ExternalBrowserInstance.java
#	eclipse-devel/files/manualpatch-plugins-swt-gtk-make_freebsd.mak
#	eclipse-devel/files/patch-features-launchers-motif-build.sh
#	eclipse-devel/files/manualpatch-plugins-swt-motif-build.sh
#	eclipse-devel/files/manualpatch-plugins-swt-motif-make_freebsd.mak
#	eclipse-devel/files/patch-features-launchers-gtk-build.sh
#	eclipse-devel/scripts
#	eclipse-devel/scripts/pre-patch
#	eclipse-devel/pkg-descr
#	eclipse-devel/Makefile
#	eclipse-devel/distinfo
#
echo c - eclipse-devel
mkdir -p eclipse-devel > /dev/null 2>&1
echo c - eclipse-devel/files
mkdir -p eclipse-devel/files > /dev/null 2>&1
echo x - eclipse-devel/files/eclipse.in
sed 's/^X//' >eclipse-devel/files/eclipse.in << 
'END-of-eclipse-devel/files/eclipse.in'
X#!/bin/sh
X#
X# FreeBSD-specific startup script for Eclipse Platform
X#
X# See: http://www.eclipse.org
X#
X# $FreeBSD: ports/java/eclipse/files/eclipse.in,v 1.2 2004/11/22 
16:17:22 nork Exp $
X#
X
XDEFAULT_JAVA_HOME=%%JAVA_HOME%%
XECLIPSE_HOME=%%ECLIPSE_HOME%%
XDEFAULT_JAVA_CMD=java
XMOZILLA_FIVE_HOME=%%X11BASE%%/lib/%%BROWSER%%
XLD_LIBRARY_PATH=$MOZILLA_FIVE_HOME:$LD_LIBRARY_PATH
X
X
X#-----------------------------------------------------------------------------
X# Determine configuration settings
X#-----------------------------------------------------------------------------
X
X# Determine the JDK home directory
Xif [ -z "${JAVA_HOME}" ]; then
X	JAVA_HOME=${DEFAULT_JAVA_HOME}
Xfi
X
X# Determine 'java' executable
Xif [ -z "${JAVACMD}" ]; then
X	if [ -n "${JAVA_HOME}"  ]; then
X		JAVACMD="${JAVA_HOME}/bin/java"
X	else
X		JAVACMD=${DEFAULT_JAVACMD}
X	fi
Xfi
X
X# Check if 'java' executable can be found
Xif [ ! -x "$JAVACMD" ]; then
X	echo "Error: JAVA_HOME is not defined correctly: ${JAVA_HOME}"
X	echo "       Unable to find ${JAVACMD}"
X	exit 1
Xfi
X
X# Check if 'eclipse' executable can be found
Xif [ ! -x "${ECLIPSE_HOME}/eclipse" ]; then
X	echo "Error: ECLIPSE_HOME is not defined correctly: ${ECLIPSE_HOME}"
X	echo "       Unable to find eclipse launcher binary"
X	exit 1
Xfi
X
XPATH=${JAVA_HOME}/bin:$PATH exec "${ECLIPSE_HOME}/eclipse" $@
END-of-eclipse-devel/files/eclipse.in
echo x - eclipse-devel/files/patch-build
sed 's/^X//' >eclipse-devel/files/patch-build << 
'END-of-eclipse-devel/files/patch-build'
X--- build.orig	Fri Apr  1 13:58:26 2005
X+++ build	Sun Apr  3 23:33:46 2005
X@@ -52,7 +52,7 @@
X 	exit 1
X fi
X
X-if [ "$os-$ws-$arch" = "linux-motif-x86" ] || [ "$os-$ws-$arch" = 
"linux-gtk-x86" ] || [ "$os-$ws-$arch" = "linux-gtk-x86_64" ] || [ 
"$os-$ws-$arch" = "linux-gtk-ia64" ] || [ "$os-$ws-$arch" = 
"solaris-motif-sparc" ] || [ "$os-$ws-$arch" = "solaris-gtk-sparc" ] || 
[ "$os-$ws-$arch" = "aix-motif-ppc" ] || [ "$os-$ws-$arch" = 
"hpux-motif-PA_RISC" ] || [ "$os-$ws-$arch" = "qnx-photon-x86" ] || [ 
"$os-$ws-$arch" = "win32-win32-x86" ] || [ "$os-$ws-$arch" = 
"linux-gtk-ppc" ] || [ "$os-$ws-$arch" = "linux-gtk-ppc64" ] || [ 
"$os-$ws-$arch" = "macosx-carbon-ppc" ] || [ "$os-$ws-$arch" = 
"hpux-motif-ia64" ]
X+if [ "$os-$ws-$arch" = "linux-motif-x86" ] || [ "$os-$ws-$arch" = 
"linux-gtk-x86" ] || [ "$os-$ws-$arch" = "linux-gtk-x86_64" ] || [ 
"$os-$ws-$arch" = "linux-gtk-ia64" ] || [ "$os-$ws-$arch" = 
"solaris-motif-sparc" ] || [ "$os-$ws-$arch" = "solaris-gtk-sparc" ] || 
[ "$os-$ws-$arch" = "aix-motif-ppc" ] || [ "$os-$ws-$arch" = 
"hpux-motif-PA_RISC" ] || [ "$os-$ws-$arch" = "qnx-photon-x86" ] || [ 
"$os-$ws-$arch" = "win32-win32-x86" ] || [ "$os-$ws-$arch" = 
"linux-gtk-ppc" ] || [ "$os-$ws-$arch" = "linux-gtk-ppc64" ] || [ 
"$os-$ws-$arch" = "macosx-carbon-ppc" ] || [ "$os-$ws-$arch" = 
"hpux-motif-ia64" ] || [ "$os-$ws-$arch" = "freebsd-gtk-x86" ] || [ 
"$os-$ws-$arch" = "freebsd-motif-x86" ] || [ "$os-$ws-$arch" = 
"freebsd-gtk-amd64" ]
X then
X         ORIGCLASSPATH=$CLASSPATH;export ORIGCLASSPATH
X         ant -q -buildfile jdtcoresrc/compilejdtcorewithjavac.xml
END-of-eclipse-devel/files/patch-build
echo x - eclipse-devel/files/patch-features-jdt-source-build.xml
sed 's/^X//' >eclipse-devel/files/patch-features-jdt-source-build.xml << 
'END-of-eclipse-devel/files/patch-features-jdt-source-build.xml'
X--- features/org.eclipse.jdt.source/build.xml.orig	Sat Feb 19 12:09:34 2005
X+++ features/org.eclipse.jdt.source/build.xml	Sat Mar 26 18:31:36 2005
X@@ -96,6 +96,12 @@
X 	</target>
X 	<target name="rootFileslinux_motif_x86">
X 	</target>
X+	<target name="rootFilesfreebsd_motif_x86">
X+	</target>
X+	<target name="rootFilesfreebsd_gtk_x86">
X+	</target>
X+	<target name="rootFilesfreebsd_gtk_amd64">
X+	</target>
X 	<target name="rootFilessolaris_motif_sparc">
X 	</target>
X 	<target name="rootFilessolaris_gtk_sparc">
END-of-eclipse-devel/files/patch-features-jdt-source-build.xml
echo x - eclipse-devel/files/patch-features-pde-build.xml
sed 's/^X//' >eclipse-devel/files/patch-features-pde-build.xml << 
'END-of-eclipse-devel/files/patch-features-pde-build.xml'
X--- features/org.eclipse.pde/build.xml.orig	Sat Feb 19 12:09:30 2005
X+++ features/org.eclipse.pde/build.xml	Sat Mar 26 18:33:49 2005
X@@ -116,6 +116,12 @@
X 	</target>
X 	<target name="rootFileslinux_motif_x86">
X 	</target>
X+	<target name="rootFilesfreebsd_gtk_x86">
X+	</target>
X+	<target name="rootFilesfreebsd_gtk_amd64">
X+	</target>
X+	<target name="rootFilesfreebsd_motif_x86">
X+	</target>
X 	<target name="rootFilessolaris_motif_sparc">
X 	</target>
X 	<target name="rootFilessolaris_gtk_sparc">
END-of-eclipse-devel/files/patch-features-pde-build.xml
echo x - eclipse-devel/files/patch-features-pde-source-build.xml
sed 's/^X//' >eclipse-devel/files/patch-features-pde-source-build.xml << 
'END-of-eclipse-devel/files/patch-features-pde-source-build.xml'
X--- features/org.eclipse.pde.source/build.xml.orig	Sat Feb 19 12:09:29 2005
X+++ features/org.eclipse.pde.source/build.xml	Sat Mar 26 18:34:22 2005
X@@ -86,6 +86,12 @@
X 	</target>
X 	<target name="rootFileslinux_motif_x86">
X 	</target>
X+	<target name="rootFilesfreebsd_gtk_x86">
X+	</target>
X+	<target name="rootFilesfreebsd_gtk_amd64">
X+	</target>
X+	<target name="rootFilesfreebsd_motif_x86">
X+	</target>
X 	<target name="rootFilessolaris_motif_sparc">
X 	</target>
X 	<target name="rootFilessolaris_gtk_sparc">
END-of-eclipse-devel/files/patch-features-pde-source-build.xml
echo x - eclipse-devel/files/patch-features-platform-build.xml
sed 's/^X//' >eclipse-devel/files/patch-features-platform-build.xml << 
'END-of-eclipse-devel/files/patch-features-platform-build.xml'
X--- features/org.eclipse.platform/build.xml.orig	Fri Apr  1 13:54:42 2005
X+++ features/org.eclipse.platform/build.xml	Sat Apr  2 13:43:10 2005
X@@ -44,6 +44,16 @@
X 		</ant>
X 		<ant antfile="build.xml" dir="../../plugins/org.eclipse.swt.gtk" 
target="${target}">
X 			<property name="arch" value="x86"/>
X+			<property name="os" value="freebsd"/>
X+			<property name="ws" value="gtk"/>
X+		</ant>
X+		<ant antfile="build.xml" dir="../../plugins/org.eclipse.swt.gtk" 
target="${target}">
X+			<property name="arch" value="x86"/>
X+			<property name="os" value="freebsd"/>
X+			<property name="ws" value="motif"/>
X+		</ant>
X+		<ant antfile="build.xml" dir="../../plugins/org.eclipse.swt.motif" 
target="${target}">
X+			<property name="arch" value="x86"/>
X 			<property name="os" value="linux"/>
X 			<property name="ws" value="gtk"/>
X 		</ant>
X@@ -63,6 +73,11 @@
X 			<property name="ws" value="gtk"/>
X 		</ant>
X 		<ant antfile="build.xml" dir="../../plugins/org.eclipse.swt.gtk64" 
target="${target}">
X+			<property name="arch" value="amd64"/>
X+			<property name="os" value="freebsd"/>
X+			<property name="ws" value="gtk"/>
X+		</ant>
X+		<ant antfile="build.xml" dir="../../plugins/org.eclipse.swt.gtk64" 
target="${target}">
X 			<property name="arch" value="ia64"/>
X 			<property name="os" value="linux"/>
X 			<property name="ws" value="gtk"/>
X@@ -182,6 +197,11 @@
X 			<property name="os" value="win32"/>
X 			<property name="ws" value="win32"/>
X 		</ant>
X+		<ant antfile="build.xml" 
dir="../../plugins/org.eclipse.update.core.freebsd" target="${target}">
X+			<property name="arch" value="x86"/>
X+			<property name="os" value="freebsd"/>
X+			<property name="ws" value="motif"/>
X+		</ant>
X 		<ant antfile="build.xml" 
dir="../../plugins/org.eclipse.update.core.linux" target="${target}">
X 			<property name="arch" value="x86"/>
X 			<property name="os" value="linux"/>
X@@ -222,6 +242,11 @@
X 			<property name="os" value="qnx"/>
X 			<property name="ws" value="photon"/>
X 		</ant>
X+		<ant antfile="build.xml" 
dir="../../plugins/org.eclipse.core.resources.freebsd" target="${target}">
X+			<property name="arch" value="x86"/>
X+			<property name="os" value="freebsd"/>
X+			<property name="ws" value="motif"/>
X+		</ant>
X 		<ant antfile="build.xml" 
dir="../../plugins/org.eclipse.core.resources.linux" target="${target}">
X 			<property name="arch" value="x86"/>
X 			<property name="os" value="linux"/>
X@@ -449,7 +474,7 @@
X 		<copy todir="${feature.base}/features/org.eclipse.platform_3.1.0" 
failonerror="true">
X 			<fileset dir="${basedir}" 
includes="epl-v10.html,eclipse_update_120.jpg,feature.xml,feature.properties,license.html" 
		/>
X 		</copy>
X-		<eclipse.idReplacer 
featureFilePath="${feature.base}/features/org.eclipse.platform_3.1.0/feature.xml" 
  selfVersion="3.1.0" featureIds="" 
pluginIds="org.apache.ant,1.6.2,org.apache.lucene,1.4.3,org.eclipse.ant.core,3.1.0,org.eclipse.compare,3.1.0,org.eclipse.core.boot,3.0.0,org.eclipse.core.commands,3.1.0,org.eclipse.core.filebuffers,3.1.0,org.eclipse.core.expressions,3.1.0,org.eclipse.core.resources,3.1.0,org.eclipse.core.resources.compatibility,3.1.0,org.eclipse.core.runtime,3.1.0,org.eclipse.core.runtime.compatibility,3.1.0,org.eclipse.osgi,3.1.0,org.eclipse.osgi.services,3.0.0,org.eclipse.osgi.util,3.0.0,org.eclipse.core.variables,3.1.0, org.eclipse.debug.core,3.1.0,org.eclipse.debug.ui,3.1.0,org.eclipse.help,3.1.0,org.eclipse.help.webapp,3.1.0,org.eclipse.help.base,3.1.0,org.eclipse.help.ui,3.1.0,org.eclipse.help.appserver,3.1.0,org.eclipse.platform,3.1.0,org.eclipse.platform.doc.user,3.1.0,org.eclipse.search,3.1.0,org.eclipse.swt,3.1.0,org.eclipse.team.core,3.1.0,org.eclipse.team.cvs.core,3.1.0,org.eclipse.team.cvs.ssh,3.1.0,org.eclipse.team.cvs.ssh2,3.1.0,org.eclipse.team.cvs.ui,3.1.0,org.eclipse.team.ui,
3.1.0,org.eclipse.tomcat,4.1.30.1,org.eclipse.text,3.1.0,org.eclipse.jface,3.1.0,org.eclipse.jface.text,3.1.0,org.eclipse.ui.console,3.1.0,org.eclipse.ui.presentations.r21,3.1.0,org.eclipse.ui.intro,3.1.0,org.eclipse.ui.cheatsheets,3.0.0,org.eclipse.ui.browser,3.1.0,org.eclipse.ui.workbench,3.1.0,org.eclipse.ui.workbench.texteditor,3.1.0,org.eclipse.ui.views,3.1.0,org.eclipse.ui.editors,3.1.0,org.eclipse.ui.forms,3.1.0,org.eclipse.ui,3.1.0,org.eclipse.ui.externaltools,3.1.0,org.eclipse.ui.ide,3.1.0,org.ecl ipse.update.configurator,3.1.0,org.eclipse.update.core,3.1.0,org.eclipse.update.scheduler,3.1.0,org.eclipse.update.ui,3.1.0,org.eclipse.ui.workbench.compatibility,3.1.0,org.eclipse.swt.motif,3.1.0,org.eclipse.swt.motif,3.1.0,org.eclipse.core.resources.hpux,3.0.0,org.eclipse.swt.gtk,3.1.0,org.eclipse.swt.gtk,3.1.0,org.eclipse.core.resources.linux,3.0.0,org.eclipse.update.core.linux,3.1.0,org.eclipse.swt.gtk64,3.1.0,org.eclipse.swt.gtk64,3.1.0,org.eclipse.swt.gtk64,3.1.0,org.e
clipse.swt.motif,3.1.0,org.eclipse.swt.carbon,3.1.0,org.eclipse.core.resources.macosx,3.0.0,org.eclipse.ui.carbon,3.1.0,org.eclipse.swt.photon,3.1.0,org.eclipse.core.resources.qnx,3.0.0,org.eclipse.swt.motif,3.1.0,org.eclipse.swt.gtk,3.1.0,org.eclipse.swt.win32,3.1.0,org.eclipse.core.resources.win32,3.0.0,org.eclipse.ui.win32,3.1.0,org.eclipse.update.core.win32,3.1.0,"/>
X+		<eclipse.idReplacer 
featureFilePath="${feature.base}/features/org.eclipse.platform_3.1.0/feature.xml" 
  selfVersion="3.1.0" featureIds="" 
pluginIds="org.apache.ant,1.6.2,org.apache.lucene,1.4.3,org.eclipse.ant.core,3.1.0,org.eclipse.compare,3.1.0,org.eclipse.core.boot,3.0.0,org.eclipse.core.commands,3.1.0,org.eclipse.core.filebuffers,3.1.0,org.eclipse.core.expressions,3.1.0,org.eclipse.core.resources,3.1.0,org.eclipse.core.resources.compatibility,3.1.0,org.eclipse.core.runtime,3.1.0,org.eclipse.core.runtime.compatibility,3.1.0,org.eclipse.osgi,3.1.0,org.eclipse.osgi.services,3.0.0,org.eclipse.osgi.util,3.0.0,org.eclipse.core.variables,3.1.0, org.eclipse.debug.core,3.1.0,org.eclipse.debug.ui,3.1.0,org.eclipse.help,3.1.0,org.eclipse.help.webapp,3.1.0,org.eclipse.help.base,3.1.0,org.eclipse.help.ui,3.1.0,org.eclipse.help.appserver,3.1.0,org.eclipse.platform,3.1.0,org.eclipse.platform.doc.user,3.1.0,org.eclipse.search,3.1.0,org.eclipse.swt,3.1.0,org.eclipse.team.core,3.1.0,org.eclipse.team.cvs.core,3.1.0,org.eclipse.team.cvs.ssh,3.1.0,org.eclipse.team.cvs.ssh2,3.1.0,org.eclipse.team.cvs.ui,3.1.0,org.eclipse.team.ui,
3.1.0,org.eclipse.tomcat,4.1.30.1,org.eclipse.text,3.1.0,org.eclipse.jface,3.1.0,org.eclipse.jface.text,3.1.0,org.eclipse.ui.console,3.1.0,org.eclipse.ui.presentations.r21,3.1.0,org.eclipse.ui.intro,3.1.0,org.eclipse.ui.cheatsheets,3.0.0,org.eclipse.ui.browser,3.1.0,org.eclipse.ui.workbench,3.1.0,org.eclipse.ui.workbench.texteditor,3.1.0,org.eclipse.ui.views,3.1.0,org.eclipse.ui.editors,3.1.0,org.eclipse.ui.forms,3.1.0,org.eclipse.ui,3.1.0,org.eclipse.ui.externaltools,3.1.0,org.eclipse.ui.ide,3.1.0,org.ecl ipse.update.configurator,3.1.0,org.eclipse.update.core,3.1.0,org.eclipse.update.scheduler,3.1.0,org.eclipse.update.ui,3.1.0,org.eclipse.ui.workbench.compatibility,3.1.0,org.eclipse.swt.motif,3.1.0,org.eclipse.swt.motif,3.1.0,org.eclipse.core.resources.hpux,3.0.0,org.eclipse.swt.gtk,3.1.0,org.eclipse.swt.gtk,3.1.0,org.eclipse.core.resources.linux,3.0.0,org.eclipse.core.resources.freebsd,3.0.0,org.eclipse.update.core.linux,3.1.0,org.eclipse.update.core.freebsd,3.1.0,org.eclips
e.swt.gtk64,3.1.0,org.eclipse.swt.gtk64,3.1.0,org.eclipse.swt.gtk64,3.1.0,org.eclipse.swt.motif,3.1.0,org.eclipse.swt.carbon,3.1.0,org.eclipse.core.resources.macosx,3.0.0,org.eclipse.ui.carbon,3.1.0,org.eclipse.swt.photon,3.1.0,org.eclipse.core.resources.qnx,3.0.0,org.eclipse.swt.motif,3.1.0,org.eclipse.swt.gtk,3.1.0,org.eclipse.swt.win32,3.1.0,org.eclipse.core.resources.win32,3.0.0,org.eclipse.ui.win32,3.1.0,org.eclipse.update.core.win32,3.1.0,"/>
X 		<antcall target="rootFiles${os}_${ws}_${arch}"/>
X 	</target>
X 	<target name="rootFileswin32_win32_x86">
X@@ -472,6 +497,16 @@
X 		</copy>
X 		<chmod perm="755" 
dir="${feature.base}/linux.gtk.x86/${collectingFolder}" 
includes="eclipse" />
X 	</target>
X+	<target name="rootFilesfreebsd_gtk_x86">
X+		<mkdir dir="${feature.base}/freebsd.gtk.x86/${collectingFolder}"/>
X+		<copy todir="${feature.base}/freebsd.gtk.x86/${collectingFolder}" 
failonerror="true">
X+			<fileset 
dir="${basedir}/../../features/org.eclipse.launchers/bin/gtk/freebsd/x86" 
includes="**"			/>
X+			<fileset dir="${basedir}/gtk" includes="**"			/>
X+			<fileset dir="${basedir}/rootfiles" includes="**"			/>
X+			<fileset dir="${basedir}/../../plugins/org.eclipse.platform" 
includes="startup.jar"			/>
X+		</copy>
X+		<chmod perm="755" 
dir="${feature.base}/freebsd.gtk.x86/${collectingFolder}" 
includes="eclipse" />
X+	</target>
X 	<target name="rootFileslinux_gtk_ppc">
X 		<mkdir dir="${feature.base}/linux.gtk.ppc/${collectingFolder}"/>
X 		<copy todir="${feature.base}/linux.gtk.ppc/${collectingFolder}" 
failonerror="true">
X@@ -512,6 +547,16 @@
X 		</copy>
X 		<chmod perm="755" 
dir="${feature.base}/linux.gtk.x86_64/${collectingFolder}" 
includes="eclipse" />
X 	</target>
X+	<target name="rootFilesfreebsd_gtk_amd64">
X+		<mkdir dir="${feature.base}/freebsd.gtk.amd64/${collectingFolder}"/>
X+		<copy todir="${feature.base}/freebsd.gtk.amd64/${collectingFolder}" 
failonerror="true">
X+			<fileset 
dir="${basedir}/../../features/org.eclipse.launchers/bin/gtk/freebsd/amd64" 
includes="**"			/>
X+			<fileset dir="${basedir}/gtk" includes="**"			/>
X+			<fileset dir="${basedir}/rootfiles" includes="**"			/>
X+			<fileset dir="${basedir}/../../plugins/org.eclipse.platform" 
includes="startup.jar"			/>
X+		</copy>
X+		<chmod perm="755" 
dir="${feature.base}/freebsd.gtk.amd64/${collectingFolder}" 
includes="eclipse" />
X+	</target>
X 	<target name="rootFileslinux_motif_x86">
X 		<mkdir dir="${feature.base}/linux.motif.x86/${collectingFolder}"/>
X 		<copy todir="${feature.base}/linux.motif.x86/${collectingFolder}" 
failonerror="true">
X@@ -523,6 +568,28 @@
X 		</copy>
X 		<chmod perm="755" 
dir="${feature.base}/linux.motif.x86/${collectingFolder}" 
includes="eclipse" />
X 		<chmod perm="755" 
dir="${feature.base}/linux.motif.x86/${collectingFolder}" 
includes="*.so*" />
X+	</target>
X+	<target name="rootFilesfreebsd_motif_x86">
X+		<mkdir dir="${feature.base}/freebsd.motif.x86/${collectingFolder}"/>
X+		<copy todir="${feature.base}/freebsd.motif.x86/${collectingFolder}" 
failonerror="true">
X+			<fileset 
dir="${basedir}/../../features/org.eclipse.launchers/bin/motif/freebsd/x86" 
includes="**"			/>
X+			<fileset 
dir="${basedir}/../../plugins/org.eclipse.swt.motif/os/freebsd/x86" 
includes="libXm.so.2.1"			/>
X+			<fileset dir="${basedir}/motif" includes="**"			/>
X+			<fileset dir="${basedir}/rootfiles" includes="**"			/>
X+			<fileset dir="${basedir}/../../plugins/org.eclipse.platform" 
includes="startup.jar"			/>
X+		</copy>
X+		<chmod perm="755" 
dir="${feature.base}/freebsd.motif.x86/${collectingFolder}" 
includes="eclipse" />
X+		<exec executable="ln" 
dir="${feature.base}/freebsd.motif.x86/${collectingFolder}" os="FreeBSD">
X+			<arg line="-s"/>
X+			<arg line="libXm.so.2.1"/>
X+			<arg line="libXm.so.2"/>
X+		</exec>
X+		<exec executable="ln" 
dir="${feature.base}/freebsd.motif.x86/${collectingFolder}" os="FreeBSD">
X+			<arg line="-s"/>
X+			<arg line="libXm.so.2.1"/>
X+			<arg line="libXm.so"/>
X+		</exec>
X+		<chmod perm="755" 
dir="${feature.base}/freebsd.motif.x86/${collectingFolder}" 
includes="*.so*" />
X 	</target>
X 	<target name="rootFilessolaris_motif_sparc">
X 		<mkdir dir="${feature.base}/solaris.motif.sparc/${collectingFolder}"/>
END-of-eclipse-devel/files/patch-features-platform-build.xml
echo x - eclipse-devel/files/patch-features-sdk-build.xml
sed 's/^X//' >eclipse-devel/files/patch-features-sdk-build.xml << 
'END-of-eclipse-devel/files/patch-features-sdk-build.xml'
X--- features/org.eclipse.sdk/build.xml.orig	Sat Feb 19 12:09:35 2005
X+++ features/org.eclipse.sdk/build.xml	Sat Mar 26 18:40:52 2005
X@@ -90,6 +90,12 @@
X 	</target>
X 	<target name="rootFileslinux_gtk_x86_64">
X 	</target>
X+	<target name="rootFilesfreebsd_gtk_amd64">
X+	</target>
X+ 	<target name="rootFilesfreebsd_gtk_x86">
X+  	</target>
X+	<target name="rootFilesfreebsd_motif_x86">
X+	</target>
X 	<target name="rootFileslinux_motif_x86">
X 	</target>
X 	<target name="rootFilessolaris_motif_sparc">
END-of-eclipse-devel/files/patch-features-sdk-build.xml
echo x - eclipse-devel/files/patch-plugins-update-src-update.c
sed 's/^X//' >eclipse-devel/files/patch-plugins-update-src-update.c << 
'END-of-eclipse-devel/files/patch-plugins-update-src-update.c'
X--- plugins/org.eclipse.update.core.linux/src/update.c.orig	Thu Sep 16 
08:48:27 2004
X+++ plugins/org.eclipse.update.core.linux/src/update.c	Fri Feb 18 
20:27:34 2005
X@@ -10,8 +10,15 @@
X 
*******************************************************************************/ 

X
X # include <sys/types.h>
X+#ifdef __FreeBSD__
X+# include <stdlib.h>
X+# include <sys/param.h>
X+# include <sys/mount.h>
X+# include "update.h"
X+#else
X # include <sys/statfs.h>
X # include <update.h>
X+#endif
X
X /*
X  * Class:     org_eclipse_update_configuration_LocalSystemInfo
END-of-eclipse-devel/files/patch-plugins-update-src-update.c
echo x - eclipse-devel/files/patch-features-platform-source-build.xml
sed 's/^X//' 
 >eclipse-devel/files/patch-features-platform-source-build.xml << 
'END-of-eclipse-devel/files/patch-features-platform-source-build.xml'
X--- features/org.eclipse.platform.source/build.xml.orig	Fri Apr  1 
13:54:41 2005
X+++ features/org.eclipse.platform.source/build.xml	Sat Apr  2 14:33:00 2005
X@@ -42,6 +42,11 @@
X 			<property name="os" value="linux"/>
X 			<property name="ws" value="gtk"/>
X 		</ant>
X+		<ant antfile="build.xml" 
dir="../../plugins/org.eclipse.platform.source.freebsd.gtk.amd64" 
target="${target}">
X+			<property name="arch" value="amd64"/>
X+			<property name="os" value="freebsd"/>
X+			<property name="ws" value="gtk"/>
X+		</ant>
X 		<ant antfile="build.xml" 
dir="../../plugins/org.eclipse.platform.source.linux.motif.x86" 
target="${target}">
X 			<property name="arch" value="x86"/>
X 			<property name="os" value="linux"/>
X@@ -72,6 +77,16 @@
X 			<property name="os" value="linux"/>
X 			<property name="ws" value="gtk"/>
X 		</ant>
X+		<ant antfile="build.xml" 
dir="../../plugins/org.eclipse.platform.source.freebsd.gtk.x86" 
target="${target}">
X+			<property name="arch" value="x86"/>
X+			<property name="os" value="freebsd"/>
X+			<property name="ws" value="gtk"/>
X+		</ant>
X+		<ant antfile="build.xml" 
dir="../../plugins/org.eclipse.platform.source.freebsd.motif.x86" 
target="${target}">
X+			<property name="arch" value="x86"/>
X+			<property name="os" value="freebsd"/>
X+			<property name="ws" value="motif"/>
X+		</ant>
X 		<ant antfile="build.xml" 
dir="../../plugins/org.eclipse.platform.source.macosx.carbon.ppc" 
target="${target}">
X 			<property name="arch" value="ppc"/>
X 			<property name="os" value="macosx"/>
X@@ -144,7 +159,7 @@
X 		<copy 
todir="${feature.base}/features/org.eclipse.platform.source_3.1.0" 
failonerror="true">
X 			<fileset dir="${basedir}" 
includes="epl-v10.html,eclipse_update_120.jpg,feature.xml,feature.properties,license.html" 
		/>
X 		</copy>
X-		<eclipse.idReplacer 
featureFilePath="${feature.base}/features/org.eclipse.platform.source_3.1.0/feature.xml" 
  selfVersion="3.1.0" featureIds="" 
pluginIds="org.eclipse.platform.doc.isv,3.1.0,org.eclipse.platform.source,3.1.0,org.eclipse.platform.source.linux.gtk.ia64,3.1.0,org.eclipse.platform.source.qnx.photon.x86,3.1.0,org.eclipse.platform.source.linux.gtk.ppc,3.1.0,org.eclipse.platform.source.hpux.motif.PA_RISC,3.1.0,org.eclipse.platform.source.hpux.motif.ia64,3.1.0,org.eclipse.platform.source.linux.gtk.x86_64,3.1.0,org.eclipse.platform.source.linux.gtk.ppc64,3.1.0,org.eclipse.platform.source.solaris.gtk.sparc,3.1.0,org.eclipse.platform.source.m acosx.carbon.ppc,3.1.0,org.eclipse.platform.source.linux.gtk.x86,3.1.0,org.eclipse.platform.source.aix.motif.ppc,3.1.0,org.eclipse.platform.source.win32.win32.x86,3.1.0,org.eclipse.platform.source.solaris.motif.sparc,3.1.0,org.eclipse.platform.source.linux.motif.x86,3.1.0,"/>
X+		<eclipse.idReplacer 
featureFilePath="${feature.base}/features/org.eclipse.platform.source_3.1.0/feature.xml" 
  selfVersion="3.1.0" featureIds="" 
pluginIds="org.eclipse.platform.doc.isv,3.1.0,org.eclipse.platform.source,3.1.0,org.eclipse.platform.source.linux.gtk.ia64,3.1.0,org.eclipse.platform.source.qnx.photon.x86,3.1.0,org.eclipse.platform.source.linux.gtk.ppc,3.1.0,org.eclipse.platform.source.hpux.motif.PA_RISC,3.1.0,org.eclipse.platform.source.hpux.motif.ia64,3.1.0,org.eclipse.platform.source.linux.gtk.x86_64,3.1.0,org.eclipse.platform.source.freebsd.gtk.amd64,3.1.0,org.eclipse.platform.source.linux.gtk.ppc64,3.1.0,org.eclipse.platform.source.s olaris.gtk.sparc,3.1.0,org.eclipse.platform.source.macosx.carbon.ppc,3.1.0,org.eclipse.platform.source.linux.gtk.x86,3.1.0,org.eclipse.platform.source.freebsd.gtk.x86,3.0.1,org.eclipse.platform.source.aix.motif.ppc,3.1.0,org.eclipse.platform.source.win32.win32.x86,3.1.0,org.eclipse.platform.source.solaris.motif.sparc,3.1.0,org.eclipse.platform.source.linux.motif.x86,3.1.0,org.eclipse.platform.source.freebsd.motif.x86,3.0.1,"/>
X 		<antcall target="rootFiles${os}_${ws}_${arch}"/>
X 	</target>
X 	<target name="rootFileswin32_win32_x86">
X@@ -159,6 +174,8 @@
X 	</target>
X 	<target name="rootFileslinux_gtk_x86_64">
X 	</target>
X+	<target name="rootFilesfreebsd_gtk_amd64">
X+	</target>
X 	<target name="rootFileslinux_motif_x86">
X 	</target>
X 	<target name="rootFilessolaris_motif_sparc">
X@@ -175,6 +192,11 @@
X 	</target>
X 	<target name="rootFilesqnx_photon_x86">
X 	</target>
X+	<target name="rootFilesfreebsd_gtk_x86">
X+	</target>
X+	<target name="rootFilesfreebsd_motif_x86">
X+	</target>
X+
X
X 	<target name="zip.distribution" depends="init" description="Create a 
zip containing all the plug-ins and features for the feature: 
org.eclipse.platform.source.">
X 		<delete dir="${feature.temp.folder}"/>
END-of-eclipse-devel/files/patch-features-platform-source-build.xml
echo x - eclipse-devel/files/patch-features-launchers-library-eclipseShm.c
sed 's/^X//' 
 >eclipse-devel/files/patch-features-launchers-library-eclipseShm.c << 
'END-of-eclipse-devel/files/patch-features-launchers-library-eclipseShm.c'
X--- features/org.eclipse.launchers/library/eclipseShm.c.orig	Fri Apr  1 
13:55:58 2005
X+++ features/org.eclipse.launchers/library/eclipseShm.c	Sun Apr  3 
11:34:02 2005
X@@ -182,11 +182,13 @@
X
X #else /* Unix like platforms */
X
X+#include <machine/param.h>
X+#include <sys/types.h>
X+#include <sys/ipc.h>
X #include <sys/shm.h>
X #include <string.h>
X #include <stdlib.h>
X #include <stdio.h>
X-#include <sys/types.h>
X #include <unistd.h>
X
X int createSharedData(char** id, int size) {
END-of-eclipse-devel/files/patch-features-launchers-library-eclipseShm.c
echo x - eclipse-devel/files/patch-features-jdt-build.xml
sed 's/^X//' >eclipse-devel/files/patch-features-jdt-build.xml << 
'END-of-eclipse-devel/files/patch-features-jdt-build.xml'
X--- features/org.eclipse.jdt/build.xml.orig	Sat Feb 19 12:09:29 2005
X+++ features/org.eclipse.jdt/build.xml	Sat Mar 26 18:30:33 2005
X@@ -179,6 +179,24 @@
X 			<fileset dir="${basedir}/rootfiles" includes="**"			/>
X 		</copy>
X 	</target>
X+	<target name="rootFilesfreebsd_gtk_amd64">
X+		<mkdir dir="${feature.base}/freebsd.gtk.amd64/${collectingFolder}"/>
X+		<copy todir="${feature.base}/freebsd.gtk.amd64/${collectingFolder}" 
failonerror="true">
X+			<fileset dir="${basedir}/rootfiles" includes="**"			/>
X+		</copy>
X+	</target>
X+	<target name="rootFilesfreebsd_gtk_x86">
X+		<mkdir dir="${feature.base}/freebsd.gtk.x86/${collectingFolder}"/>
X+		<copy todir="${feature.base}/freebsd.gtk.x86/${collectingFolder}" 
failonerror="true">
X+			<fileset dir="${basedir}/rootfiles" includes="**"			/>
X+		</copy>
X+	</target>
X+	<target name="rootFilesfreebsd_motif_x86">
X+		<mkdir dir="${feature.base}/freebsd.motif.x86/${collectingFolder}"/>
X+		<copy todir="${feature.base}/freebsd.motif.x86/${collectingFolder}" 
failonerror="true">
X+			<fileset dir="${basedir}/rootfiles" includes="**"			/>
X+		</copy>
X+	</target>
X 	<target name="rootFilessolaris_motif_sparc">
X 		<mkdir dir="${feature.base}/solaris.motif.sparc/${collectingFolder}"/>
X 		<copy 
todir="${feature.base}/solaris.motif.sparc/${collectingFolder}" 
failonerror="true">
END-of-eclipse-devel/files/patch-features-jdt-build.xml
echo x - eclipse-devel/files/manualpatch-plugins-swt-gtk-build.sh
sed 's/^X//' >eclipse-devel/files/manualpatch-plugins-swt-gtk-build.sh 
<< 'END-of-eclipse-devel/files/manualpatch-plugins-swt-gtk-build.sh'
X--- plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library/build.sh.orig 
Fri Apr  1 13:56:58 2005
X+++ plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library/build.sh	Sat Apr 
  9 16:27:29 2005
X@@ -110,6 +110,36 @@
X 				;;	
X 		esac
X 		;;
X+	"FreeBSD")
X+		CC=gcc
X+		LD=gcc
X+		XTEST_LIB_PATH=$X11BASE/lib
X+		KDE_LIB_PATH=$PREFIX/lib
X+		KDE_INCLUDE_PATH=$PREFIX/include
X+		QT_HOME=$X11BASE
X+		GECKO_I=${X11BASE}/include/${BROWSER}
X+		GECKO_INCLUDES="-I${GECKO_I} -I${GECKO_I}/nspr -I${GECKO_I}/xpcom 
-I${GECKO_I}/string -I${GECKO_I}/embed_base -I${GECKO_I}/embedstring"
X+		GECKO_L=${X11BASE}/lib/${BROWSER}
X+		GECKO_LIBS="-L${GECKO_L} -lxpcom -lnspr4 -lplds4 -lplc4 -lgtkembedmoz"
X+		case $MODEL in
X+			"amd64")
X+				AWT_LIB_PATH=$JAVA_HOME/jre/lib/amd64
X+				SWT_PTR_CFLAGS=-DSWT_PTR_SIZE_64
X+				OUTPUT_DIR=../../../org.eclipse.swt.gtk64/os/freebsd/amd64
X+				makefile="make_freebsd.mak"
X+				echo "Building FreeBSD GTK AMD64 version of SWT"
X+				;;
X+			i?86)
X+				AWT_LIB_PATH=$JAVA_HOME/jre/lib/i386
X+				OUTPUT_DIR=../../../org.eclipse.swt.gtk/os/freebsd/x86
X+				makefile="make_freebsd.mak"
X+				echo "Building FreeBSD GTK x86 version of SWT"
X+				;;
X+			*)
X+				echo "*** Unknown MODEL <${MODEL}>"
X+				;;	
X+		esac
X+		;;
X 	"SunOS")
X 		CC=gcc
X 		LD=gcc
X@@ -138,4 +168,13 @@
X
X export CC LD JAVA_HOME QT_HOME AWT_LIB_PATH XTEST_LIB_PATH GECKO_SDK 
GECKO_INCLUDES GECKO_LIBS SWT_PTR_CFLAGS CDE_HOME KDE_LIB_PATH 
KDE_INCLUDE_PATH OUTPUT_DIR
X
X-make -f $makefile ${1} ${2} ${3} ${4}
X+gmake -f $makefile ${1} ${2} ${3} ${4}
X+
X+build_kde=`pkg_info -xc kdebase | grep "no packages match"`
X+if [ "$build_kde" != "" ]; then
X+  echo "Building FreeBSD version of KDE DLL."
X+  gmake -f $makefile make_kde
X+fi
X+
X+cp -p library/xpcom* .
X+gmake -f $makefile make_mozilla
END-of-eclipse-devel/files/manualpatch-plugins-swt-gtk-build.sh
echo x - eclipse-devel/files/patch-plugins-update-src-build.xml
sed 's/^X//' >eclipse-devel/files/patch-plugins-update-src-build.xml << 
'END-of-eclipse-devel/files/patch-plugins-update-src-build.xml'
X--- plugins/org.eclipse.update.core.freebsd/src/build.xml	Sat Apr  9 
14:03:21 2005
X+++ ../files/plugins-update-src-build.xml	Tue Feb 15 23:41:47 2005
X@@ -6,7 +6,7 @@
X   <property name="eclipse-home" value="${basedir}/../.."/>
X   <property name="jdk-path" value="${java.home}"/>
X   <property name="destination" 
value="${eclipse-home}/org.eclipse.update.core.freebsd/os/freebsd/x86/"/>
X-  <property name="obj-path" 
value="${eclipse-home}/org.eclipse.update.core.freebsd/src/"/>
X+  <property name="obj-path" 
value="${eclipse-home}/org.eclipse.update.core/src/"/>
X   <property name="src-path" 
value="${eclipse-home}/org.eclipse.update.core.freebsd/src/"/>
X
X   <!-- sets the properties -->
X@@ -44,15 +44,16 @@
X   <target name="build">
X     <echo message="Building ${library-file}"/>
X
X-    <property name="header-path" value="${jdk-path}/../include"/>
X+    <property name="header-path" value="${jdk-path}/include"/>
X     <property name="header-freebsd-path" value="${header-path}/freebsd" />
X
X-	<echo message="gcc -o  ${library-file} -shared -I${src-path} 
-I${header-freebsd-path} ${library-file} -static -lc"/>
X+	<echo message="${CC} -o  ${library-file} -shared -fPIC -I${src-path} 
-I${header-path} -I${header-freebsd-path} ${library-file} -static -lc"/>
X
X-    <apply executable="gcc" dest="${eclipse-home}/" parallel="false">
X+    <apply executable="${CC}" dest="${eclipse-home}/" parallel="false">
X       <arg value="-o"/>
X       <arg value="${library-file}"/>
X       <arg value="-shared"/>
X+      <arg value="-fPIC"/>
X       <arg value="-I${src-path}"/>
X       <arg value="-I${header-path}"/>
X       <arg value="-I${header-freebsd-path}"/>
END-of-eclipse-devel/files/patch-plugins-update-src-build.xml
echo x - eclipse-devel/files/patch-features-platform-source-feature.xml
sed 's/^X//' 
 >eclipse-devel/files/patch-features-platform-source-feature.xml << 
'END-of-eclipse-devel/files/patch-features-platform-source-feature.xml'
X--- features/org.eclipse.platform.source/feature.xml.orig	Sat Feb 19 
12:09:25 2005
X+++ features/org.eclipse.platform.source/feature.xml	Sat Mar 26 
18:40:15 2005
X@@ -18,11 +18,14 @@
X 	<plugin ws="motif"  os="hpux" fragment="true" arch="PA_RISC" 
download-size="0" install-size="0" 
id="org.eclipse.platform.source.hpux.motif.PA_RISC" version="3.1.0"/>
X 	<plugin ws="motif"  os="hpux" fragment="true" arch="ia64" 
download-size="0" install-size="0" 
id="org.eclipse.platform.source.hpux.motif.ia64" version="3.1.0"/>
X 	<plugin ws="gtk"  os="linux" fragment="true" arch="x86_64" 
download-size="0" install-size="0" 
id="org.eclipse.platform.source.linux.gtk.x86_64" version="3.1.0"/>
X+	<plugin ws="gtk"  os="freebsd" fragment="true" arch="amd64" 
download-size="0" install-size="0" 
id="org.eclipse.platform.source.freebsd.gtk.amd64" version="3.1.0"/>
X 	<plugin ws="gtk"  os="linux" fragment="true" arch="ppc64" 
download-size="0" install-size="0" 
id="org.eclipse.platform.source.linux.gtk.ppc64" version="3.1.0"/>
X 	<plugin ws="gtk"  os="solaris" fragment="true" arch="sparc" 
download-size="0" install-size="0" 
id="org.eclipse.platform.source.solaris.gtk.sparc" version="3.1.0"/>
X 	<plugin ws="carbon"  os="macosx" fragment="true" arch="ppc" 
download-size="0" install-size="0" 
id="org.eclipse.platform.source.macosx.carbon.ppc" version="3.1.0"/>
X 	<plugin ws="gtk"  os="linux" fragment="true" arch="x86" 
download-size="0" install-size="0" 
id="org.eclipse.platform.source.linux.gtk.x86" version="3.1.0"/>
X 	<plugin ws="motif"  os="aix" fragment="true" arch="ppc" 
download-size="0" install-size="0" 
id="org.eclipse.platform.source.aix.motif.ppc" version="3.1.0"/>
X+	<plugin ws="motif"  os="freebsd" fragment="true" arch="x86" 
download-size="0" install-size="0" 
id="org.eclipse.platform.source.freebsd.motif.x86" version="3.0.1"/>
X+	<plugin ws="gtk"  os="freebsd" fragment="true" arch="x86" 
download-size="0" install-size="0" 
id="org.eclipse.platform.source.freebsd.gtk.x86" version="3.0.1"/>
X 	<plugin ws="win32"  os="win32" fragment="true" arch="x86" 
download-size="0" install-size="0" 
id="org.eclipse.platform.source.win32.win32.x86" version="3.1.0"/>
X 	<plugin ws="motif"  os="solaris" fragment="true" arch="sparc" 
download-size="0" install-size="0" 
id="org.eclipse.platform.source.solaris.motif.sparc" version="3.1.0"/>
X 	<plugin ws="motif"  os="linux" fragment="true" arch="x86" 
download-size="0" install-size="0" 
id="org.eclipse.platform.source.linux.motif.x86" version="3.1.0"/>
END-of-eclipse-devel/files/patch-features-platform-source-feature.xml
echo x - eclipse-devel/files/manualpatch-plugins-swt-gtk-os_custom.h
sed 's/^X//' 
 >eclipse-devel/files/manualpatch-plugins-swt-gtk-os_custom.h << 
'END-of-eclipse-devel/files/manualpatch-plugins-swt-gtk-os_custom.h'
X--- plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library/os_custom.h	Fri 
Apr  1 13:55:23 2005
X+++ ../files/plugins-swt-gtk-os_custom.h	Wed Mar 30 22:55:24 2005
X@@ -21,30 +23,30 @@
X #define PTR_sizeof() sizeof(void *)
X
X /* Libraries for dynamic loaded functions */
X-#define gtk_file_chooser_add_filter_LIB "libgtk-x11-2.0.so.0"
X-#define gtk_file_chooser_dialog_new_LIB "libgtk-x11-2.0.so.0"
X-#define gtk_file_chooser_get_current_folder_LIB "libgtk-x11-2.0.so.0"
X-#define gtk_file_chooser_get_filename_LIB "libgtk-x11-2.0.so.0"
X-#define gtk_file_chooser_get_filenames_LIB "libgtk-x11-2.0.so.0"
X-#define gtk_file_chooser_set_current_folder_LIB "libgtk-x11-2.0.so.0"
X-#define gtk_file_chooser_set_current_name_LIB "libgtk-x11-2.0.so.0"
X-#define gtk_file_chooser_set_extra_widget_LIB "libgtk-x11-2.0.so.0"
X-#define gtk_file_chooser_set_filename_LIB "libgtk-x11-2.0.so.0"
X-#define gtk_file_chooser_set_select_multiple_LIB "libgtk-x11-2.0.so.0"
X-#define gtk_file_filter_add_pattern_LIB "libgtk-x11-2.0.so.0"
X-#define gtk_file_filter_new_LIB "libgtk-x11-2.0.so.0"
X-#define gtk_file_filter_set_name_LIB "libgtk-x11-2.0.so.0"
X-#define gtk_tree_selection_get_selected_rows_LIB "libgtk-x11-2.0.so.0"
X-#define gtk_tree_view_column_cell_get_position_LIB "libgtk-x11-2.0.so.0"
X-#define gtk_entry_set_alignment_LIB "libgtk-x11-2.0.so.0"
X-#define gdk_draw_pixbuf_LIB "libgdk-x11-2.0.so.0"
X-#define gdk_screen_get_default_LIB "libgdk-x11-2.0.so.0"
X-#define gdk_screen_get_monitor_at_window_LIB "libgdk-x11-2.0.so.0"
X-#define gdk_screen_get_monitor_geometry_LIB "libgdk-x11-2.0.so.0"
X-#define gdk_screen_get_n_monitors_LIB "libgdk-x11-2.0.so.0"
X-#define gdk_screen_get_number_LIB "libgdk-x11-2.0.so.0"
X-#define gdk_window_set_keep_above_LIB "libgdk-x11-2.0.so.0"
X-#define gdk_window_set_accept_focus_LIB "libgdk-x11-2.0.so.0"
X+#define gtk_file_chooser_add_filter_LIB "libgtk-x11-2.0.so"
X+#define gtk_file_chooser_dialog_new_LIB "libgtk-x11-2.0.so"
X+#define gtk_file_chooser_get_current_folder_LIB "libgtk-x11-2.0.so"
X+#define gtk_file_chooser_get_filename_LIB "libgtk-x11-2.0.so"
X+#define gtk_file_chooser_get_filenames_LIB "libgtk-x11-2.0.so"
X+#define gtk_file_chooser_set_current_folder_LIB "libgtk-x11-2.0.so"
X+#define gtk_file_chooser_set_current_name_LIB "libgtk-x11-2.0.so"
X+#define gtk_file_chooser_set_extra_widget_LIB "libgtk-x11-2.0.so"
X+#define gtk_file_chooser_set_filename_LIB "libgtk-x11-2.0.so"
X+#define gtk_file_chooser_set_select_multiple_LIB "libgtk-x11-2.0.so"
X+#define gtk_file_filter_add_pattern_LIB "libgtk-x11-2.0.so"
X+#define gtk_file_filter_new_LIB "libgtk-x11-2.0.so"
X+#define gtk_file_filter_set_name_LIB "libgtk-x11-2.0.so"
X+#define gtk_tree_selection_get_selected_rows_LIB "libgtk-x11-2.0.so"
X+#define gtk_tree_view_column_cell_get_position_LIB "libgtk-x11-2.0.so"
X+#define gtk_entry_set_alignment_LIB "libgtk-x11-2.0.so"
X+#define gdk_draw_pixbuf_LIB "libgdk-x11-2.0.so"
X+#define gdk_screen_get_default_LIB "libgdk-x11-2.0.so"
X+#define gdk_screen_get_monitor_at_window_LIB "libgdk-x11-2.0.so"
X+#define gdk_screen_get_monitor_geometry_LIB "libgdk-x11-2.0.so"
X+#define gdk_screen_get_n_monitors_LIB "libgdk-x11-2.0.so"
X+#define gdk_screen_get_number_LIB "libgdk-x11-2.0.so"
X+#define gdk_window_set_keep_above_LIB "libgdk-x11-2.0.so"
X+#define gdk_window_set_accept_focus_LIB "libgdk-x11-2.0.so"
X
X /* Field accessors */
X #define GTK_ACCEL_LABEL_SET_ACCEL_STRING(arg0, arg1) 
(arg0)->accel_string = arg1
END-of-eclipse-devel/files/manualpatch-plugins-swt-gtk-os_custom.h
echo x - eclipse-devel/files/patch-build.xml
sed 's/^X//' >eclipse-devel/files/patch-build.xml << 
'END-of-eclipse-devel/files/patch-build.xml'
X--- build.xml.orig	Fri Apr  1 13:58:26 2005
X+++ build.xml	Sat Apr  9 17:03:28 2005
X@@ -48,17 +48,20 @@
X 				<equals arg1="${installOs}-${installWs}-${installArch}" 
arg2="linux-gtk-ppc64"/>
X 				<equals arg1="${installOs}-${installWs}-${installArch}" 
arg2="linux-gtk-ia64"/>
X 				<equals arg1="${installOs}-${installWs}-${installArch}" 
arg2="linux-gtk-x86_64"/>
X+				<equals arg1="${installOs}-${installWs}-${installArch}" 
arg2="freebsd-gtk-amd64"/>
X 			</or>
X 		</condition>
X 		<condition property="wsType" value="gtk">
X 			<or>
X 				<equals arg1="${installOs}-${installWs}-${installArch}" 
arg2="linux-gtk-ppc"/>
X 				<equals arg1="${installOs}-${installWs}-${installArch}" 
arg2="linux-gtk-x86"/>
X+				<equals arg1="${installOs}-${installWs}-${installArch}" 
arg2="freebsd-gtk-x86"/>
X 			</or>
X 		</condition>
X 		<condition property="wsType" value="motif">
X 			<or>
X 				<equals arg1="${installOs}-${installWs}-${installArch}" 
arg2="linux-motif-x86"/>
X+				<equals arg1="${installOs}-${installWs}-${installArch}" 
arg2="freebsd-motif-x86"/>
X 				<equals arg1="${installOs}-${installWs}-${installArch}" 
arg2="hpux-motif-ia64"/>
X 			</or>
X 		</condition>
X@@ -82,12 +85,12 @@
X 		<!--unzip launcher -->
X 		<property name="launcherlibs" value="${buildDirectory}/launchertmp"/>
X 		<mkdir dir="${launcherlibs}"/>
X-		<unzip dest="${launcherlibs}">
X-			<fileset 
dir="${buildDirectory}/plugins/org.eclipse.platform.source/src/">
X-				<include name ="org.eclipse.platform_*/launchersrc.zip"/>
X+		<copy todir="${launcherlibs}">
X+			<fileset dir="${buildDirectory}/features/org.eclipse.launchers">
X+				<include name ="**"/>
X 			</fileset>
X-		</unzip>
X-		<exec dir="${launcherlibs}/library/${installWs}/" executable="sh" 
os="Linux" failonerror="true">
X+		</copy>
X+		<exec dir="${launcherlibs}/library/${installWs}/" executable="sh" 
os="FreeBSD" failonerror="true">
X 			<arg line="build.sh"/>
X 		</exec>
X 		<move file="${launcherlibs}/library/${installWs}/eclipse" 
todir="${launcherlibs}/"/>
END-of-eclipse-devel/files/patch-build.xml
echo x - eclipse-devel/files/patch-plugins-swt-gtk-build.xml
sed 's/^X//' >eclipse-devel/files/patch-plugins-swt-gtk-build.xml << 
'END-of-eclipse-devel/files/patch-plugins-swt-gtk-build.xml'
X--- plugins/org.eclipse.swt.gtk/build.xml.orig	Wed Apr 21 00:24:26 2004
X+++ plugins/org.eclipse.swt.gtk/build.xml	Wed Apr 21 00:24:39 2004
X@@ -10,7 +10,7 @@
X 		<property name="build.result.folder" value="${basedir}"/>
X 		<property name="plugindir" value="../org.eclipse.swt"/>
X 		<property name="destination" value="${basedir}"/>
X-		<property name="os" value="linux"/>
X+		<property name="os" value="${os}"/>
X 		<property name="ws" value="gtk"/>
X 		<property name="arch" value="x86"/>
X 		<property name="bootclasspath" value=""/>
END-of-eclipse-devel/files/patch-plugins-swt-gtk-build.xml
echo x - eclipse-devel/files/patch-plugins-swt-gtk64-build.xml
sed 's/^X//' >eclipse-devel/files/patch-plugins-swt-gtk64-build.xml << 
'END-of-eclipse-devel/files/patch-plugins-swt-gtk64-build.xml'
X--- plugins/org.eclipse.swt.gtk64/build.xml.orig	Fri Apr  1 13:54:42 2005
X+++ plugins/org.eclipse.swt.gtk64/build.xml	Mon Apr  4 00:11:23 2005
X@@ -11,9 +11,9 @@
X 		<property name="build.result.folder" value="${basedir}"/>
X 		<property name="plugindir" value="../org.eclipse.swt"/>
X 		<property name="destination" value="${basedir}"/>
X-		<property name="os" value="linux"/>
X-		<property name="ws" value="gtk"/>
X-		<property name="arch" value="x86_64"/>
X+		<property name="os" value="${os}"/>
X+		<property name="ws" value="${ws}"/>
X+		<property name="arch" value="${arch}"/>
X 		<property name="bootclasspath" value=""/>
X 		<property name="toolsplugindir" value="../org.eclipse.swt.tools"/>		
X 	</target>
END-of-eclipse-devel/files/patch-plugins-swt-gtk64-build.xml
echo x - eclipse-devel/files/patch-assemble
sed 's/^X//' >eclipse-devel/files/patch-assemble << 
'END-of-eclipse-devel/files/patch-assemble'
X--- assemble.org.eclipse.sdk.freebsd.motif.x86.xml~	Sat Apr  9 14:40:56 
2005
X+++ assemble.org.eclipse.sdk.freebsd.motif.x86.xml	Sat Apr  9 15:05:35 2005
X@@ -419,10 +419,5 @@
X 		</exec>
X 		<move file="${archiveFullPath}" 
tofile="${assemblyTempDir}/${collectingFolder}/tmp.tar"/>
X 		<gzip src="${assemblyTempDir}/${collectingFolder}/tmp.tar" 
zipfile="${archiveFullPath}"/>
X-		<exec executable="rm">
X-			<arg line="-rf"/>
X-			<arg line="${assemblyTempDir}"/>
X-		</exec>
X-		<delete dir="${assemblyTempDir}"/>
X 	</target>
X </project>
X--- assemble.org.eclipse.sdk.freebsd.gtk.x86.xml~	Sat Apr  9 14:40:56 2005
X+++ assemble.org.eclipse.sdk.freebsd.gtk.x86.xml	Sat Apr  9 15:05:42 2005
X@@ -419,10 +419,5 @@
X 		</exec>
X 		<move file="${archiveFullPath}" 
tofile="${assemblyTempDir}/${collectingFolder}/tmp.tar"/>
X 		<gzip src="${assemblyTempDir}/${collectingFolder}/tmp.tar" 
zipfile="${archiveFullPath}"/>
X-		<exec executable="rm">
X-			<arg line="-rf"/>
X-			<arg line="${assemblyTempDir}"/>
X-		</exec>
X-		<delete dir="${assemblyTempDir}"/>
X 	</target>
X </project>
X--- assemble.org.eclipse.sdk.freebsd.gtk.amd64.xml~	Sat Apr  9 14:40:56 
2005
X+++ assemble.org.eclipse.sdk.freebsd.gtk.amd64.xml	Sat Apr  9 15:04:59 2005
X@@ -419,10 +419,5 @@
X 		</exec>
X 		<move file="${archiveFullPath}" 
tofile="${assemblyTempDir}/${collectingFolder}/tmp.tar"/>
X 		<gzip src="${assemblyTempDir}/${collectingFolder}/tmp.tar" 
zipfile="${archiveFullPath}"/>
X-		<exec executable="rm">
X-			<arg line="-rf"/>
X-			<arg line="${assemblyTempDir}"/>
X-		</exec>
X-		<delete dir="${assemblyTempDir}"/>
X 	</target>
X </project>
END-of-eclipse-devel/files/patch-assemble
echo x - eclipse-devel/files/patch-features-launchers-gtk-make_freebsd.mak
sed 's/^X//' 
 >eclipse-devel/files/patch-features-launchers-gtk-make_freebsd.mak << 
'END-of-eclipse-devel/files/patch-features-launchers-gtk-make_freebsd.mak'
X--- features/org.eclipse.launchers/library/gtk/make_freebsd.mak.orig 
Sun Apr 17 20:24:58 2005
X+++ features/org.eclipse.launchers/library/gtk/make_freebsd.mak	Sun Apr 
17 20:25:45 2005
X@@ -26,7 +26,7 @@
X CC=gcc
X OBJS = eclipse.o eclipseUtil.o eclipseShm.o eclipseConfig.o eclipseGtk.o
X EXEC = $(PROGRAM_OUTPUT)
X-LIBS = `pkg-config --libs-only-L gtk+-2.0` -lgtk-x11-2.0 
-lgdk_pixbuf-2.0 -lgobject-2.0 -lgdk-x11-2.0
X+LIBS = `pkg-config --libs gtk+-2.0`
X CFLAGS = -O -s \
X 	-fpic \
X 	-DMOZILLA_FIX \
END-of-eclipse-devel/files/patch-features-launchers-gtk-make_freebsd.mak
echo x - eclipse-devel/files/patch-browser-src-ExternalBrowserInstance.java
sed 's/^X//' 
 >eclipse-devel/files/patch-browser-src-ExternalBrowserInstance.java << 
'END-of-eclipse-devel/files/patch-browser-src-ExternalBrowserInstance.java'
X--- 
plugins/org.eclipse.ui.browser/src/org/eclipse/ui/internal/browser/ExternalBrowserInstance.java.orig 
Sun Apr  3 15:44:23 2005
X+++ 
plugins/org.eclipse.ui.browser/src/org/eclipse/ui/internal/browser/ExternalBrowserInstance.java 
Sun Apr  3 15:44:47 2005
X
X@@ -74,7 +74,7 @@
X 			public void run() {
X 				try {
X 					process.waitFor();
X-					DefaultBrowserSupport.getInstance().removeBrowser(getId());
X+				 
DefaultBrowserSupport.getInstance().removeBrowser(ExternalBrowserInstance.this.getId());
X 				} catch (Exception e) {
X 					// ignore
X 				}
X
END-of-eclipse-devel/files/patch-browser-src-ExternalBrowserInstance.java
echo x - eclipse-devel/files/manualpatch-plugins-swt-gtk-make_freebsd.mak
sed 's/^X//' 
 >eclipse-devel/files/manualpatch-plugins-swt-gtk-make_freebsd.mak << 
'END-of-eclipse-devel/files/manualpatch-plugins-swt-gtk-make_freebsd.mak'
X--- plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library/make_linux.mak 
Fri Apr  1 13:55:11 2005
X+++ plugins/org.eclipse.swt/Eclipse SWT 
PI/gtk/library/make_freebsd.mak	Sat Apr  9 13:48:50 2005
X@@ -49,8 +49,8 @@
X GNOMECFLAGS = `pkg-config --cflags gnome-vfs-module-2.0 libgnome-2.0 
libgnomeui-2.0`
X GNOMELIBS = `pkg-config --libs-only-L gnome-vfs-module-2.0 
libgnome-2.0 libgnomeui-2.0` -lgnomevfs-2 -lgnome-2 -lgnomeui-2
X
X-KDE_LIBS = -shared -L$(KDE_LIB_PATH) -lkdecore -lkparts 
-L$(QT_HOME)/lib -lqt
X-KDE_CFLAGS = -fno-rtti -c -O -I$(KDE_INCLUDE_PATH) 
-I$(QT_HOME)/include -I$(JAVA_HOME)/include
X+KDE_LIBS = -shared -L$(KDE_LIB_PATH) -lkdecore -lkparts 
-L$(QT_HOME)/lib -lqt-mt
X+KDE_CFLAGS = -fno-rtti -c -O -I$(KDE_INCLUDE_PATH) 
-I$(QT_HOME)/include -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/freebsd
X
X # Uncomment for Native Stats tool
X #NATIVE_STATS = -DNATIVE_STATS
X@@ -65,6 +65,7 @@
X 	-Wno-non-virtual-dtor \
X 	-fPIC \
X 	-I./ \
X+	-I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/freebsd \
X 	${GECKO_INCLUDES} \
X 	${SWT_PTR_CFLAGS}
X 	
X@@ -82,14 +83,14 @@
X CFLAGS = -O -Wall \
X 		-DSWT_VERSION=$(SWT_VERSION) \
X 		$(NATIVE_STATS) \
X-		-DLINUX -DGTK \
X-		-I$(JAVA_HOME)/include \
X-		-fpic \
X+		-DFREEBSD -DGTK \
X+		-I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/freebsd 
-I$(X11BASE)/include \
X+		-fpic -fPIC \
X 		${SWT_PTR_CFLAGS}
X-LIBS = -shared -fpic
X+LIBS = -shared -fpic -fPIC
X
X
X-all: make_swt make_atk make_gnome make_awt make_kde
X+all: make_swt make_atk $(MAKE_GNOME) make_awt
X
X #
X # SWT libs
END-of-eclipse-devel/files/manualpatch-plugins-swt-gtk-make_freebsd.mak
echo x - eclipse-devel/files/patch-features-launchers-motif-build.sh
sed 's/^X//' 
 >eclipse-devel/files/patch-features-launchers-motif-build.sh << 
'END-of-eclipse-devel/files/patch-features-launchers-motif-build.sh'
X--- features/org.eclipse.launchers/library/motif/build.sh~	Sat Feb 19 
12:13:49 2005
X+++ features/org.eclipse.launchers/library/motif/build.sh	Sun Mar 20 
15:27:04 2005
X@@ -55,6 +55,15 @@
X 		MOTIF_HOME=/bluebird/teamswt/swt-builddir/motif21		
X 		OUTPUT_DIR="../../bin/$defaultWS/$defaultOS/$defaultOSArch"
X 		;;
X+	"FreeBSD")
X+		makefile="make_freebsd.mak"
X+		defaultOS="freebsd"
X+		defaultOSArch="x86"
X+		defaultWS="motif"
X+		X11_HOME=$X11BASE
X+		MOTIF_HOME=$X11BASE
X+		OUTPUT_DIR="../../bin/$defaultWS/$defaultOS/$defaultOSArch"
X+		;;
X 	"SunOS")
X 		makefile="make_solaris.mak"
X 		defaultOS="solaris"
X@@ -122,11 +131,11 @@
X # If the OS is supported (a makefile exists)
X if [ "$makefile" != "" ]; then
X 	if [ "$extraArgs" != "" ]; then
X-		make -f $makefile $extraArgs
X+		gmake -f $makefile $extraArgs
X 	else
X 		echo "Building $OS launcher. Defaults: -os $DEFAULT_OS -arch 
$DEFAULT_OS_ARCH -ws $DEFAULT_WS"
X-		make -f $makefile clean
X-		make -f $makefile all
X+		gmake -f $makefile clean
X+		gmake -f $makefile all
X 	fi
X else
X 	echo "Unknown OS ($OS) -- build aborted"
END-of-eclipse-devel/files/patch-features-launchers-motif-build.sh
echo x - eclipse-devel/files/manualpatch-plugins-swt-motif-build.sh
sed 's/^X//' >eclipse-devel/files/manualpatch-plugins-swt-motif-build.sh 
<< 'END-of-eclipse-devel/files/manualpatch-plugins-swt-motif-build.sh'
X--- plugins/org.eclipse.swt/Eclipse SWT PI/motif/library/build.sh	Fri 
Apr  1 13:55:27 2005
X+++ ../files/plugins-swt-motif-build.sh	Sun Apr  3 16:38:13 2005
X@@ -57,6 +57,18 @@
X 			echo "Building Linux motif x86 version of SWT"
X 		esac
X 		;;
X+	"FreeBSD")
X+		case $MODEL in
X+		i?86)
X+			OUTPUT_DIR=../../../org.eclipse.swt.motif/os/freebsd/x86
X+			makefile="make_freebsd.mak"
X+			echo "Building FreeBSD motif x86 version of SWT"
X+			;;
X+		*)
X+			echo "*** Unknown MODEL <${MODEL}>"
X+			;;	
X+		esac
X+		;;
X 	"SunOS")
X 		case $MODEL in
X 		*)
END-of-eclipse-devel/files/manualpatch-plugins-swt-motif-build.sh
echo x - eclipse-devel/files/manualpatch-plugins-swt-motif-make_freebsd.mak
sed 's/^X//' 
 >eclipse-devel/files/manualpatch-plugins-swt-motif-make_freebsd.mak << 
'END-of-eclipse-devel/files/manualpatch-plugins-swt-motif-make_freebsd.mak'
X--- plugins/org.eclipse.swt/Eclipse SWT 
PI/motif/library/make_linux.mak.orig	Fri Apr  1 13:57:23 2005
X+++ plugins/org.eclipse.swt/Eclipse SWT 
PI/motif/library/make_linux.mak	Sat Apr  9 14:20:28 2005
X@@ -26,32 +26,32 @@
X WS_PREFIX = motif
X SWT_LIB = lib$(SWT_PREFIX)-$(WS_PREFIX)-$(SWT_VERSION).so
X SWT_OBJS = swt.o callback.o os.o os_structs.o os_custom.o os_stats.o
X-SWT_LIBS = -L$(MOTIF_HOME)/lib -lXm -L/usr/lib -L/usr/X11R6/lib \
X-	           -rpath . -x -shared -lX11 -lm -lXext -lXt -lXp -ldl 
-lXinerama -lXtst
X+SWT_LIBS = -L$(MOTIF_HOME)/lib -lXm -L$(PREFIX)/lib -L$(X11BASE)/lib \
X+	           -rpath . -x -shared -lX11 -lm -lXext -lXt -lXp -lXinerama
X
X # Uncomment for Native Stats tool
X #NATIVE_STATS = -DNATIVE_STATS
X
X-CFLAGS = -O -s -Wall -DSWT_VERSION=$(SWT_VERSION) $(NATIVE_STATS) 
-DLINUX -DMOTIF  -fpic -I./ \
X-	-I$(JAVA_HOME)/include -I$(MOTIF_HOME)/include -I/usr/X11R6/include
X+CFLAGS = -O -g -s -Wall -DSWT_VERSION=$(SWT_VERSION) $(NATIVE_STATS) 
-DFREEBSD -DMOTIF  -fpic -fPIC -I./ \
X+	-I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/freebsd 
-I$(MOTIF_HOME)/include -I$(X11BASE)/include  -I$(PREFIX)/include
X
X # Do not use pkg-config to get libs because it includes unnecessary 
dependencies (i.e. pangoxft-1.0)
X GNOME_PREFIX = swt-gnome
X GNOME_LIB = lib$(GNOME_PREFIX)-$(WS_PREFIX)-$(SWT_VERSION).so
X GNOME_OBJECTS = swt.o gnome.o gnome_structs.o gnome_stats.o
X-GNOME_CFLAGS = -O -Wall -DSWT_VERSION=$(SWT_VERSION) $(NATIVE_STATS) 
-DLINUX -DGTK -I$(JAVA_HOME)/include `pkg-config --cflags 
gnome-vfs-module-2.0 libgnome-2.0 libgnomeui-2.0`
X+GNOME_CFLAGS = -O -g -Wall -DSWT_VERSION=$(SWT_VERSION) 
$(NATIVE_STATS) -DFREEBSD -DGTK -fpic -fPIC -I$(JAVA_HOME)/include 
-I$(JAVA_HOME)/include/freebsd `pkg-config --cflags gnome-vfs-module-2.0 
libgnome-2.0 libgnomeui-2.0`
X GNOME_LIBS = -shared -fpic -fPIC `pkg-config --libs-only-L 
gnome-vfs-module-2.0 libgnome-2.0 libgnomeui-2.0` -lgnomevfs-2 -lgnome-2 
-lgnomeui-2
X
X KDE_PREFIX = swt-kde
X KDE_LIB = lib$(KDE_PREFIX)-$(WS_PREFIX)-$(SWT_VERSION).so
X KDE_OBJS = swt.o kde.o kde_stats.o
X-KDE_LIBS = -L/usr/lib  -L$(QT_HOME)/lib -shared  -lkdecore -lqt -lkparts
X-KDE_CFLAGS = -fno-rtti -c -O -I/usr/include/kde -I$(QT_HOME)/include 
-I$(JAVA_HOME)/include
X+KDE_LIBS = -L$(PREFIX)/lib  -L$(QT_HOME)/lib -shared  -lkdecore -lqt 
-lkparts
X+KDE_CFLAGS = -fno-rtti -c -O -I/usr/include/kde -I$(QT_HOME)/include 
-I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/freebsd
X
X AWT_PREFIX = swt-awt
X AWT_LIB = lib$(AWT_PREFIX)-$(WS_PREFIX)-$(SWT_VERSION).so
X AWT_OBJS = swt_awt.o
X-AWT_LIBS = -L$(JAVA_HOME)/jre/bin -ljawt -shared
X+AWT_LIBS = -L$(JAVA_HOME)/jre/lib/$(MACHINE_ARCH) -ljawt -shared
X
X GTK_PREFIX = swt-gtk
X GTK_LIB = lib$(GTK_PREFIX)-$(WS_PREFIX)-$(SWT_VERSION).so
X@@ -59,7 +59,7 @@
X GTK_CFLAGS = `pkg-config --cflags gtk+-2.0`
X GTK_LIBS = -x -shared `pkg-config --libs-only-L gtk+-2.0` -lgtk-x11-2.0
X 	
X-all: make_swt make_awt make_gnome make_gtk make_kde
X+all: make_swt make_awt $(MAKE_GNOME) make_gtk
X
X make_swt: $(SWT_LIB)
X
X@@ -80,16 +80,16 @@
X make_gnome: $(GNOME_LIB)
X
X $(GNOME_LIB): $(GNOME_OBJECTS)
X-	gcc -o $@ $(GNOME_OBJECTS) $(GNOME_LIBS)
X+	$(CC) -o $@ $(GNOME_OBJECTS) $(GNOME_LIBS)
X
X gnome.o: gnome.c
X-	gcc $(GNOME_CFLAGS) -c -o gnome.o gnome.c
X+	$(CC) $(GNOME_CFLAGS) -c -o gnome.o gnome.c
X
X gnome_structs.o: gnome_structs.c
X-	gcc $(GNOME_CFLAGS) -c -o gnome_structs.o gnome_structs.c
X+	$(CC) $(GNOME_CFLAGS) -c -o gnome_structs.o gnome_structs.c
X
X gnome_stats.o: gnome_stats.c
X-	gcc $(GNOME_CFLAGS) -c -o gnome_stats.o gnome_stats.c
X+	$(CC) $(GNOME_CFLAGS) -c -o gnome_stats.o gnome_stats.c
X
X make_kde: $(KDE_LIB)
X
END-of-eclipse-devel/files/manualpatch-plugins-swt-motif-make_freebsd.mak
echo x - eclipse-devel/files/patch-features-launchers-gtk-build.sh
sed 's/^X//' >eclipse-devel/files/patch-features-launchers-gtk-build.sh 
<< 'END-of-eclipse-devel/files/patch-features-launchers-gtk-build.sh'
X--- features/org.eclipse.launchers/library/gtk/build.sh.orig	Fri Apr  1 
13:57:19 2005
X+++ features/org.eclipse.launchers/library/gtk/build.sh	Sun Apr  3 
11:37:51 2005
X@@ -67,6 +67,23 @@
X 				;;
X 		esac
X 		;;
X+	"FreeBSD")
X+		makefile="make_freebsd.mak"
X+		defaultOS="freebsd"
X+		case $MODEL in
X+			amd64)
X+				defaultOSArch="amd64"
X+				OUTPUT_DIR="../../bin/$defaultWS/$defaultOS/$defaultOSArch"
X+				;;
X+			i?86)
X+				defaultOSArch="x86"
X+				OUTPUT_DIR="../../bin/$defaultWS/$defaultOS/$defaultOSArch"
X+				;;
X+			*)
X+				echo "*** Unknown MODEL <${MODEL}>"
X+				;;
X+		esac
X+		;;
X 	"SunOS")
X 		makefile="make_solaris.mak"
X 		defaultOS="solaris"
X@@ -112,11 +129,11 @@
X # If the OS is supported (a makefile exists)
X if [ "$makefile" != "" ]; then
X 	if [ "$extraArgs" != "" ]; then
X-		make -f $makefile $extraArgs
X+		gmake -f $makefile $extraArgs
X 	else
X 		echo "Building $OS launcher. Defaults: -os $DEFAULT_OS -arch 
$DEFAULT_OS_ARCH -ws $DEFAULT_WS"
X-		make -f $makefile clean
X-		make -f $makefile all
X+		gmake -f $makefile clean
X+		gmake -f $makefile all
X 	fi
X else
X 	echo "Unknown OS ($OS) -- build aborted"
END-of-eclipse-devel/files/patch-features-launchers-gtk-build.sh
echo c - eclipse-devel/scripts
mkdir -p eclipse-devel/scripts > /dev/null 2>&1
echo x - eclipse-devel/scripts/pre-patch
sed 's/^X//' >eclipse-devel/scripts/pre-patch << 
'END-of-eclipse-devel/scripts/pre-patch'
X#!/bin/sh
X# $FreeBSD$
X
Xcopy_file()
X{
X	srcfile="$1"
X	dstfile="$2"
X
X	rm -f $dstfile
X	cat "$srcfile" | sed 's/linux/freebsd/g; s/Linux/FreeBSD/g; 
s/x86_64/amd64/g' > "$dstfile"
X}
X
Xcopy_dir()
X{
X	srcdir="$1"
X	dstdir="$2"
X
X	rm -rf "$dstdir"
X	cp -r "$srcdir" "$dstdir" || exit 1
X
X	if [ -d "$dstdir" ]
X	then
X		find "$dstdir" -name \*.so -delete
X		find "$dstdir" -name \*.so.\* -delete
X		find "$dstdir" -type f -print0 | \
X		xargs -0 sed -i '.bak' 's/linux/freebsd/g; s/Linux/FreeBSD/g; 
s/x86_64/amd64/g'
X		find "$dstdir" -name \*.bak -delete
X	fi
X}
X
Xprepare_files()
X{
X	mkdir ${WRKSRC}/features/org.eclipse.launchers/bin/gtk/freebsd
X
X	# Copy the files and rename/change them appropriately
X	for src in $COPY_LIST
X	do
X		dst=`echo $src | sed 's/linux/freebsd/g; s/Linux/FreeBSD/g; 
s/x86_64/amd64/g'`
X		echo Copying $src into $dst
X		if [ -d ${WRKSRC}/$src ]
X		then
X			copy_dir ${WRKSRC}/$src ${WRKSRC}/$dst
X		else
X			copy_file ${WRKSRC}/$src ${WRKSRC}/$dst
X		fi
X	done
X
X	# Files with spaces in their path...
X	src="${SWTGTK}/make_linux.mak"
X	dst=`echo $src | sed 's/linux/freebsd/g; s/Linux/FreeBSD/g; 
s/x86_64/amd64/g'`
X	echo Copying $src into $dst
X	copy_file "${WRKSRC}/$src" "${WRKSRC}/$dst"
X
X	src="${SWTMOTIF}/make_linux.mak"
X	dst=`echo $src | sed 's/linux/freebsd/g; s/Linux/FreeBSD/g; 
s/x86_64/amd64/g'`
X	echo Copying $src into $dst
X	copy_file "${WRKSRC}/$src" "${WRKSRC}/$dst"
X
X	find ${WRKSRC} -name \*.so -delete
X	find ${WRKSRC} -name \*.so.\* -delete
X}
X
XCOPY_LIST="
Xassemble.org.eclipse.sdk.linux.gtk.x86.xml
Xassemble.org.eclipse.sdk.linux.gtk.x86_64.xml
Xassemble.org.eclipse.sdk.linux.motif.x86.xml
Xfeatures/org.eclipse.launchers/bin/gtk/linux/x86
Xfeatures/org.eclipse.launchers/bin/gtk/linux/x86_64
Xfeatures/org.eclipse.launchers/bin/motif/linux
Xfeatures/org.eclipse.launchers/library/gtk/make_linux.mak
Xfeatures/org.eclipse.launchers/library/motif/make_linux.mak
Xplugins/org.eclipse.core.resources.linux
Xplugins/org.eclipse.core.resources.linux/os/linux
Xplugins/org.eclipse.jdt.source.linux.gtk.x86
Xplugins/org.eclipse.jdt.source.linux.gtk.x86_64
Xplugins/org.eclipse.jdt.source.linux.motif.x86
Xplugins/org.eclipse.jface/src/org/eclipse/jface/resource/jfacefonts_linux.properties
Xplugins/org.eclipse.jface/src/org/eclipse/jface/resource/jfacefonts_linux_gtk.properties
Xplugins/org.eclipse.pde.source.linux.gtk.x86
Xplugins/org.eclipse.pde.source.linux.gtk.x86_64
Xplugins/org.eclipse.pde.source.linux.motif.x86
Xplugins/org.eclipse.platform.source.linux.gtk.x86
Xplugins/org.eclipse.platform.source.linux.gtk.x86_64
Xplugins/org.eclipse.platform.source.linux.motif.x86
Xplugins/org.eclipse.swt.gtk/os/linux
Xplugins/org.eclipse.swt.gtk64/os/linux
Xplugins/org.eclipse.swt.motif/os/linux
Xplugins/org.eclipse.swt.motif/os/linux
Xplugins/org.eclipse.update.core.linux
Xplugins/org.eclipse.update.core.linux/os/linux
X"
X
XSWTGTK="plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library"
XSWTMOTIF="plugins/org.eclipse.swt/Eclipse SWT PI/motif/library"
X
Xprepare_files
Xexit 0
END-of-eclipse-devel/scripts/pre-patch
echo x - eclipse-devel/pkg-descr
sed 's/^X//' >eclipse-devel/pkg-descr << 'END-of-eclipse-devel/pkg-descr'
XThe Eclipse Platform is an open extensible IDE for anything and yet
Xnothing in particular. The Eclipse Platform provides building blocks
Xand a foundation for constructing and running integrated software-
Xdevelopment tools. The Eclipse Platform allows tool builders to
Xindependently develop tools that integrate with other people's tools
Xso seamlessly you can't tell where one tool ends and another starts.
X
XWWW: http://www.eclipse.org/
END-of-eclipse-devel/pkg-descr
echo x - eclipse-devel/Makefile
sed 's/^X//' >eclipse-devel/Makefile << 'END-of-eclipse-devel/Makefile'
X# New ports collection makefile for:	eclipse-devel
X# Date created:				April 9, 2005
X# Whom:					various members of freebsd-java
X#
X# $FreeBSD$
X#
X
XPORTNAME=	eclipse
XPORTVERSION=	3.1M6
XCATEGORIES=	java devel
XMASTER_SITES=	${MASTER_SITE_ECLIPSE}
XMASTER_SITE_SUBDIR=	S-${PORTVERSION}-200504011645
XDISTNAME=	${PORTNAME}-sourceBuild-srcIncluded-${PORTVERSION}
XDIST_SUBDIR=	eclipse
X
XMAINTAINER=	freebsd-ports@varju.ca
XCOMMENT=	An open extensible IDE for anything and nothing in particular
X
XBUILD_DEPENDS=	ant:${PORTSDIR}/devel/apache-ant \
X		zip:${PORTSDIR}/archivers/zip
XBUILD_DEPENDS+=	${EXTRACT_DEPENDS}
X
XCONFLICTS=	eclipse-3.0*
X
XONLY_FOR_ARCHS=	i386 amd64
XUSE_GMAKE=	yes
XUSE_ZIP=	yes
XUSE_GCC=	3.4
X
XUSE_JAVA=	yes
XJAVA_VERSION=	1.4+
XJAVA_OS=	native
X
XUSE_REINPLACE=	yes
XNO_WRKSUBDIR=	yes
X
XPORTDESTDIR=	${PREFIX}/eclipse
X
XECLIPSE_OS=	freebsd
X
X.if defined(WITH_MOTIF)
XECLIPSE_WS=	motif
XUSE_ICONV=	yes
XUSE_MOTIF=	yes
X.else
XECLIPSE_WS=	gtk
X.if defined(WITH_MOZILLA)
XBROWSER=	${WITH_MOZILLA}
XBUILD_DEPENDS+=	${BROWSER}:${PORTSDIR}/www/${BROWSER}
X.else
XBUILD_DEPENDS+=	mozilla:${PORTSDIR}/www/mozilla
XBROWSER=	mozilla
X.endif
X.endif
X
X.if defined(WITHOUT_GNOMEVFS)
XMAKE_GNOME=
XUSE_GNOME=	gtk20 pkgconfig
X.else
XMAKE_GNOME=	make_gnome
XUSE_GNOME=	gtk20 gnomevfs2 libgnome libgnomeui pkgconfig
X.endif
X
X.include <bsd.port.pre.mk>
X
X.if defined(WITH_MOTIF)
XBROKEN="No motif support yet"
X.endif
X
X.if (${ARCH} == "amd64")
XECLIPSE_ARCH=	amd64
XECLIPSE_SWT=	gtk64
X.else
XECLIPSE_ARCH=	x86
XECLIPSE_SWT=	gtk
X.endif
X
X.if (${BROWSER} == "firefox")
XBROKEN="Firefox integration doesn't work yet"
X.endif
X
XMAKE_ENV+=	BROWSER=${BROWSER} \
X		ECLIPSE_ARCH=${ECLIPSE_ARCH} \
X		ECLIPSE_OS=${ECLIPSE_OS} \
X		ECLIPSE_WS=${ECLIPSE_WS} \
X		JAVA_HOME=${JAVA_HOME} \
X		MAKE_GNOME=${MAKE_GNOME} \
X		MOTIF_HOME=${X11_HOME} \
X		QT_HOME=${X11_HOME}
X
XPLIST_FILES=	bin/eclipse
X
XSWTGTK=${WRKSRC}/plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library
XSWTMOTIF=${WRKSRC}/plugins/org.eclipse.swt/Eclipse SWT PI/motif/library
X
X# Manually patch some files with spaces in the path
Xpost-patch:
X	@${PATCH} ${PATCH_DIST_ARGS} "${SWTMOTIF}/build.sh" \
X	  ${FILESDIR}/manualpatch-plugins-swt-motif-build.sh
X	@${PATCH} ${PATCH_DIST_ARGS} "${SWTMOTIF}/make_freebsd.mak" \
X	  ${FILESDIR}/manualpatch-plugins-swt-motif-make_freebsd.mak
X	@${PATCH} ${PATCH_DIST_ARGS} "${SWTGTK}/make_freebsd.mak" \
X	  ${FILESDIR}/manualpatch-plugins-swt-gtk-make_freebsd.mak
X	@${PATCH} ${PATCH_DIST_ARGS} "${SWTGTK}/build.sh" \
X	  ${FILESDIR}/manualpatch-plugins-swt-gtk-build.sh
X	@${PATCH} ${PATCH_DIST_ARGS} "${SWTGTK}/os_custom.h" \
X	  ${FILESDIR}/manualpatch-plugins-swt-gtk-os_custom.h
X
Xdo-build:
X	@(cd ${WRKSRC}; ${SETENV} ${MAKE_ENV} \
X	  ./build -os ${ECLIPSE_OS} -ws ${ECLIPSE_WS} -arch ${ECLIPSE_ARCH} 
-compilelibs)
X
Xdo-install:
X	@${MKDIR} ${PORTDESTDIR}
X	@${TAR} -xvzf ${WRKSRC}/result/*.tar.gz -C ${PREFIX}
X	@${SED} \
X	  -e "s+%%ECLIPSE_HOME%%+${PORTDESTDIR}+g" \
X	  -e "s+%%JAVA_HOME%%+${JAVA_HOME}+g" \
X	  -e "s+%%X11BASE%%+${X11BASE}+g" \
X	  -e "s+%%BROWSER%%+${BROWSER}+g" \
X	${FILESDIR}/eclipse.in > ${WRKSRC}/eclipse.tmp
X	${INSTALL_SCRIPT} ${WRKSRC}/eclipse.tmp ${PREFIX}/bin/eclipse
X	${INSTALL_PROGRAM} ${WRKSRC}/launchertmp/eclipse ${PREFIX}/eclipse/eclipse
X	@(cd ${WRKSRC}/tmp; ${FIND} -s eclipse -not -type d | ${GREP} -v 
tmp.tar) >> ${TMPPLIST}
X	@(cd ${WRKSRC}/tmp; ${FIND} -s -d eclipse -type d) \
X	  | ${SED} -ne 's,^,@dirrm ,p' >> ${TMPPLIST}
X
X.include <bsd.port.post.mk>
END-of-eclipse-devel/Makefile
echo x - eclipse-devel/distinfo
sed 's/^X//' >eclipse-devel/distinfo << 'END-of-eclipse-devel/distinfo'
XMD5 (eclipse/eclipse-sourceBuild-srcIncluded-3.1M6.zip) = 
51d81345d2fa0e8aa0b455f6cf4c447f
XSIZE (eclipse/eclipse-sourceBuild-srcIncluded-3.1M6.zip) = 59038692
END-of-eclipse-devel/distinfo
exit
--- eclipse-3.1M6.shar ends here ---
Comment 2 nork freebsd_committer 2005-04-24 22:48:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nork

I'll handle this.
Comment 3 nork freebsd_committer 2005-05-07 10:01:32 UTC
State Changed
From-To: open->closed

Committed, thanks!